strrb.h File Reference
Osmocom ringbuffers for log strings

Osmocom string ringbuffer handling routines. More...

`#include <unistd.h>`
`#include <stdbool.h>`
`#include <stdint.h>`
`#include <osmocom/core/talloc.h>`

Go to the source code of this file.

## Data Structures

struct | osmo_strrb

## Macros

#define | RB_MAX_MESSAGE_SIZE 240
| A structure representing an osmocom string ringbuffer. More...

## Functions

struct osmo_strrb * | osmo_strrb_create (TALLOC_CTX *ctx, size_t rb_size)
| Create an empty, initialized osmo_strrb. More...
bool | osmo_strrb_is_empty (const struct osmo_strrb *rb)
| Check if an osmo_strrb is empty. More...
const char * | osmo_strrb_get_nth (const struct osmo_strrb *rb, unsigned int string_index)
| Return a pointer to the Nth string in the osmo_strrb. More...
bool | _osmo_strrb_is_bufindex_valid (const struct osmo_strrb *rb, unsigned int offset)
size_t | osmo_strrb_elements (const struct osmo_strrb *rb)
| Count the number of log messages in an osmo_strrb. More...
int | osmo_strrb_add (struct osmo_strrb *rb, const char *data)
| Add a string to the osmo_strrb. More...

## Detailed Description

Osmocom string ringbuffer handling routines.